<?php
$m = 'FulltraceGui.php';

/* [INCLUDING] */
include_once('/usr/www/include/SQLite2ToSQLite3.php');

/* [LOADING] */
$berogui = '/usr/local/www/berogui';
require_once("$berogui/includes/Helper/Helper.php");
require_once("$berogui/includes/Helper/HelperHtml.php");

require_once("$berogui/misc/database.php");
$ba = new beroAri();
require_once("$berogui/includes/lang.php");

/* [CHECKING GET] */
$exec_modal = true;
$invalid = array();

$list_get = array(
	'mode' => 'bool',
	'options'	=> 'config-option',
);

$_GET = Helper::sanitizeGet($_GET, $list_get, $exec_modal, $invalid);

$disabled = '';
$error_message = '';
if (!$exec_modal) {
	$disabled = ' disabled';
	$error_message = Helper::displayErrorMessage($invalid['request'], $invalid['checkor'], $invalid['key']);
}

/* [EXECUTING POPUP] */
// list the ports
$ports = array();
for ($i=0; $i<Helper::getLifCount(); $i++) {
	$query = $ba->select("SELECT DISTINCT type,port_type FROM analog WHERE lif='". sqlite_escape_string($i) ."'");
	while ($entry = $ba->fetch_array($query)) {
		$ports[$i]['type'] = $entry['type'];
		$query_port = $ba->select("SELECT port FROM analog WHERE lif='". sqlite_escape_string($i) ."' AND port_type='". sqlite_escape_string($entry['port_type']) ."'");
		while ($entry_port = $ba->fetch_array($query_port)) {
			$ports[$i]['ports'][] = $entry_port['port'];
		}
	}
}

// exit
ob_start();
?>
<script>
	$('#submit-analog').click(function(e) {
		var ports_checked = getTotalPortsChecked();
		if (ports_checked == 0) {
			e.preventDefault();
			$('#invalid').html('<?php echo FULL_TRACE_NOSELECTED_PORTS_ERROR; ?>');
		}
		else if (ports_checked > 4) {
			e.preventDefault();
			$('#invalid').html('<?php echo FULL_TRACE_SELECTED_PORTS_ERROR; ?>');
		}
	});
	$('#ft_analog_form').change(function() {
		$('#invalid').html('');
	});
	function getTotalPortsChecked() {
		var total = 0;
		$("input[name='data[ports][]']").each(function(index) {
			if($(this).is(':checked')) {
				total++;
			}
		});
		return total;
	}
</script>
<?php

echo 	ob_get_clean()
		.	"<div id='invalid' class='text-center' style='margin-top:5px; color:red;'>$error_message</div>\n"
		.	"<form id='ft_analog_form' action='modules/FulltraceGui/fulltracegui_submit.php' class='form-horizontal' ENCTYPE='multipart/form-data' method='POST'>\n"
		. "\t<input type='hidden' name='trace' value='Start'/>\n"
		. "\t<input type='hidden' name='hasAnalog' value='true'/>\n"
		. "\t<input type='hidden' name='fulltrace_type' value='{$_GET['mode']}'/>\n"
		. "\t<input type='hidden' name='ft_advanced_options' value=\"{$_GET['options']}\"/>\n"
		.	"\t<div class='tab-content'>\n"
		. "\t\t<div role='tabpanel' class='tab-pane active' style='padding-top:15px;'>\n"
		. HelperHtml::fieldPorts('ports', $ports, array('label' => 'PSTN_PORTS_DIS', 'style' => 'width:100%;'), "\t\t\t")
		. "\t\t</div>\n"
		. "\t</div>\n"
		. "\t<div class='text-center'>\n"
		. "\t\t<button type='submit' id='submit-analog' class='btn btn-default' style='margin-top:20px;'$disabled>". BUTTON_SAVE ."</button>\n"
		. "\t</div>\n"
		. "</form>\n";
exit(0);
?>
